: :::  *       MY PONIES:.                  29'
c aught One of the animals and bridled her, then putting m :: on her back, led her around, greatly to my delight. I kept petting er so much that she soon allowed me to apprah her. She was a beautiful bay, and I named her " Dolly; the other pony was a sorrel, and I called him " Prince."
In the evening some Indians visited the camp-which as yet consisted only of tents, though some logs had been cut preparatory to building houses-and exchanged their furs for clothing, sugar and tobacco. Father had not learned their language, and therefore communicated with them by means of signs. We had our supper by the camp-fire, and that night was the first time I ever camped out and slept upon the ground.
The day had been an eventful one to me, for all the incidents were full of excitement and romance to my youthful mind, and I think no apology is needed for mentioning so many of the little circumstances, which so greatly interested me in my childhood's days, and which no doubt had a great influence in shaping my course in after years. My love of hunting and scouting, and life on the plains generally, was the result of my early surroundings.
The next morning father visited the Kickapoo agency, taking me along. He rode a horse, and putting me on my pony " Dolly," led the animal all the way. He seemed anxious to break me in, as well as the pony, and I greatly en« joyed this, my first day's ride on a Kansas prairie.
At the Kickapoo village I saw hundreds of Indians, some of whom were living in lodges, but the majority occupied log cabins. The agent resided in a double-hewed log house, one of the apartments of which was used as a school for the Indians. The agency store was opposite this structure.
All the buildings were whitewashed, and looked neat and clean. The Kickapoos were very friendly Indians, and we spent much of our time among them, looking about and studying their habits.
After a while we returned to our own camp, and just as



